////// COLOR COLLECTION

@yellow: rgb(245, 230, 067);
@yellowLight: rgb(255, 253, 231);


@red: rgb(255, 30, 0);
@pink : rgb(255, 138, 138);
@pinkLight : lighten(@pink, 15%);

@blue: blue;
@light-blue : @blue;

@green : rgb(0, 173, 78);
@dark-green : @green;


@black: rgb(0, 0, 0);

@grey : @greyMedium;
@greyExtraDark: rgb(36, 36, 36); // font base
@greyDark: rgb(100, 100, 100);
@greyMedium: rgb(160, 160, 160);
@greyLight: rgb(220, 220, 220);
@greyExtraLight: rgb(247, 247, 247); // background block

@white: rgb(255, 255, 255); // background base & inputs

@brown : rgb(108, 52, 3);
@purple : rgb(124, 5, 149);

//////
////// COLORS & USES
//////

@bodyBgColor: @white;
@bodyBgLightColor: @white;
@textColor: @brown;
@textColorLight: lighten(@textColor, 10%);


////// Interactive elements

// @interactiveColorHover: @red;
// @inactiveHoverColor: @greyDark;
@warningColor: @red;

@activeColor: @purple;
@activeColorHover: @greyDark;
@activeColorPressed: @greyDark - 15%;

@inactiveColor: @greyMedium;
@disabledColor: @greyMedium + 15%;

///////  BACKGROUNDS COLORS

@bgLightColor: @greyExtraLight;
@bgMediumColor: @greyDark;
@bgDarkColor: @greyLight;
@bgActiveColor : @pinkLight;



// @widget-background : @greyLight;
// @widget-background-hover : @greyDark;
// @widget-background-active : @greyLight;


////// Map background

@mapBgColor: @white;

////// Links 

@linkColor: @textColor;
@linkColorHover: @activeColor;
@linkDecorationColor: @greyDark;

////// Borders

@borderDarkColor: @textColor;
@borderLightColor: @greyDark;
@borderExtraLightColor : @greyLight;

////// Inputs

@inputBorderColor: @greyDark;
@inputBgColor: @white;
@inputPlaceholderColor: @greyDark;


// @editable: @greyExtraLight - 10%;


////// Table 

@tableRowActiveColor: @greyExtraLight - 30%;
@tableRowHoverColor: @greyExtraLight - 15%;
@tableTextSelectColor: @tableRowActiveColor;

////// Loader

@loaderColor : @greyDark;